PreLoader No Longer Works With HBC

Discussion in 'Wii - Emulation and Homebrew' started by timishu, Oct 9, 2009.

  1. timishu
    OP

    timishu GBAtemp Regular

    Member
    286
    0
    Jan 26, 2009
    United States
    Scatland
    So, using the HackMii installer I updated my Homebrew Channel to 1.0.5, thinking it would be harmless. Well, as it turns out, PreLoader doesn't really like it. I tried going to the PreLoader Menu to launch Homebrew Channel, and I got "Error Loading HBC, Maybe title not installed?". Well, it is installed, and I have no way to get to it other than through the System Menu. What can I do about this? Is there anyway to make the Homebrew Channel compatible again with PreLoader, or did I just get tricked out of my own Brick Protection?
     
  2. PBC

    PBC What!? I can change this??

    Member
    590
    1
    Dec 3, 2006
    United States
    New York
    the reason is that HBC is installed using a different title ID now because 4.2 update started searching out and delete the other title "HAXX". So when preloader looks for it, it can't find it.


    Couple things you can do....get an older version of HBC that still uses HAXX title (1.0.3 does) but only if you aren't running system menu 4.2

    OR

    you can wait for preloader to update its pointer to the new title ID. which I'm not sure if preloader .30 does...cause i haven't used it...
     
  3. timishu
    OP

    timishu GBAtemp Regular

    Member
    286
    0
    Jan 26, 2009
    United States
    Scatland
    Ok, since I'm only on 3.2, what would be the best way to install a lower version of the HBC? Will I need to remove my current HBC?
     
  4. borissaid

    borissaid GBAtemp Regular

    Member
    116
    1
    Sep 27, 2008
    United States
    Or you can install the HAXX forwarder wad thats floating around... that "bypasses" the problem.
     
  5. timishu
    OP

    timishu GBAtemp Regular

    Member
    286
    0
    Jan 26, 2009
    United States
    Scatland
    Sounds intense. If it's risky, as in "bypasses the problem", then I'm not looking for it. Can I just uninstall, then reinstall the HBC?
     
  6. KiiNG

    KiiNG GBAtemp Regular

    Member
    180
    1
    Aug 20, 2009
    United States
    Why not try the patched Preloader.v.0.29? Its all the same, just calls for a different HBC id (the new one.) Here's the thread for it.
     
  7. wiiman123

    wiiman123 GBAtemp Advanced Fan

    Member
    938
    0
    Apr 5, 2009
    New Zealand
    0.29 JODI patched works on 4.2